<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Get referendum data (old version) — rfrnds • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Get referendum data (old version) — rfrnds"><meta name="description" content="Downloads the referendum data from the Referendum Database (RDB). See the codebook for a detailed description of all variables."><meta property="og:description" content="Downloads the referendum data from the Referendum Database (RDB). See the codebook for a detailed description of all variables."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Get referendum data (old version)</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>rfrnds.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Downloads the referendum data from the Referendum Database (RDB). See the <code><a href="data_codebook.html">codebook</a></code> for a detailed description of all variables.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">rfrnds</span><span class="op">(</span></span>
<span>  country_code <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  subnational_entity_name <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  municipality <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  level <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  type <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  is_draft <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  date_time_created_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_created_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_last_edited_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_last_edited_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  query_filter <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  incl_archive <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  tidy <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  use_cache <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  max_cache_age <span class="op">=</span> <span class="st">"1 week"</span>,</span>
<span>  use_testing_server <span class="op">=</span> <span class="fu">funky</span><span class="fu">::</span><span class="fu"><a href="https://funky.rpkg.dev/reference/config_val.html" class="external-link">config_val</a></span><span class="op">(</span><span class="st">"use_testing_server"</span><span class="op">)</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">FALSE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-country-code">country_code<a class="anchor" aria-label="anchor" href="#arg-country-code"></a></dt>
<dd><p>The <code>country_code</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-subnational-entity-name">subnational_entity_name<a class="anchor" aria-label="anchor" href="#arg-subnational-entity-name"></a></dt>
<dd><p>The <code>subnational_entity_name</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-municipality">municipality<a class="anchor" aria-label="anchor" href="#arg-municipality"></a></dt>
<dd><p>The <code>municipality</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-level">level<a class="anchor" aria-label="anchor" href="#arg-level"></a></dt>
<dd><p>The <code>level</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-type">type<a class="anchor" aria-label="anchor" href="#arg-type"></a></dt>
<dd><p>The <code>type</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-date-min">date_min<a class="anchor" aria-label="anchor" href="#arg-date-min"></a></dt>
<dd><p>The minimum <code>date</code> to be included. A <a href="https://rdrr.io/r/base/Dates.html" class="external-link">date</a> or something coercible to.</p></dd>


<dt id="arg-date-max">date_max<a class="anchor" aria-label="anchor" href="#arg-date-max"></a></dt>
<dd><p>The maximum <code>date</code> to be included. A <a href="https://rdrr.io/r/base/Dates.html" class="external-link">date</a> or something coercible to.</p></dd>


<dt id="arg-is-draft">is_draft<a class="anchor" aria-label="anchor" href="#arg-is-draft"></a></dt>
<dd><p><code>TRUE</code> means to include only referendum entries with <em>draft</em> status, <code>FALSE</code> to include only normal entries. Set to <code>NULL</code> in order to
include both draft and normal entries.</p></dd>


<dt id="arg-date-time-created-min">date_time_created_min<a class="anchor" aria-label="anchor" href="#arg-date-time-created-min"></a></dt>
<dd><p>The minimum <code>date_time_created</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-created-max">date_time_created_max<a class="anchor" aria-label="anchor" href="#arg-date-time-created-max"></a></dt>
<dd><p>The maximum <code>date_time_created</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-last-edited-min">date_time_last_edited_min<a class="anchor" aria-label="anchor" href="#arg-date-time-last-edited-min"></a></dt>
<dd><p>The minimum <code>date_time_last_edited</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-last-edited-max">date_time_last_edited_max<a class="anchor" aria-label="anchor" href="#arg-date-time-last-edited-max"></a></dt>
<dd><p>The maximum <code>date_time_last_edited</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-query-filter">query_filter<a class="anchor" aria-label="anchor" href="#arg-query-filter"></a></dt>
<dd><p>A valid <a href="https://docs.mongodb.com/manual/core/document/#query-filter-documents" class="external-link">MongoDB JSON query filter document</a> which allows for
maximum control over what data is included. This takes precedence over all of the above listed parameters, i.e. if <code>query_filter</code> is provided, the
parameters <code>country_code</code>, <code>subnational_entity_name</code>, <code>municipality</code>, <code>level</code>, <code>type</code>, <code>date_min</code>, <code>date_max</code>, <code>is_draft</code>, <code>date_time_created_min</code>, <code>date_time_created_max</code>, <code>date_time_last_edited_min</code> and <code>date_time_last_edited_max</code> are ignored.</p></dd>


<dt id="arg-incl-archive">incl_archive<a class="anchor" aria-label="anchor" href="#arg-incl-archive"></a></dt>
<dd><p>Whether or not to include an <code>archive</code> column containing data from an earlier, obsolete state of the Referendum Database (RDB).</p></dd>


<dt id="arg-tidy">tidy<a class="anchor" aria-label="anchor" href="#arg-tidy"></a></dt>
<dd><p>Whether or not to tidy the referendum data, i.e. apply various data cleansing tasks and add additional variables. If <code>FALSE</code>, the raw MongoDB
referendum data will only be modified just enough to be able to return it as a <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>. Note that untidy data doesn't conform to the
<a href="data_codebook.html">codebook</a> (i.a. different variable names).</p></dd>


<dt id="arg-use-cache">use_cache<a class="anchor" aria-label="anchor" href="#arg-use-cache"></a></dt>
<dd><p>Whether or not to return cached results if possible. If <code>FALSE</code>, results are always newly fetched regardless of <code>max_cache_age</code>.</p></dd>


<dt id="arg-max-cache-age">max_cache_age<a class="anchor" aria-label="anchor" href="#arg-max-cache-age"></a></dt>
<dd><p>Duration after which cached results are refreshed (i.e. newly fetched). A valid <a href="https://lubridate.tidyverse.org/reference/as.duration.html" class="external-link">lubridate duration</a>. Use <code>Inf</code> to disable cache expiry. Only relevant if <code>use_cache = TRUE</code>.</p></dd>


<dt id="arg-use-testing-server">use_testing_server<a class="anchor" aria-label="anchor" href="#arg-use-testing-server"></a></dt>
<dd><p>Whether or not to use the testing servers instead of the production servers for RDB Services API calls etc.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>Whether or not to suppress printing status output from internal processing.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum data functions:
<code><a href="add_rfrnds.html">add_rfrnds</a>()</code>,
<code><a href="assert_vars.html">assert_vars</a>()</code>,
<code><a href="count_rfrnds.html">count_rfrnds</a>()</code>,
<code><a href="delete_rfrnds.html">delete_rfrnds</a>()</code>,
<code><a href="download_file_attachment.html">download_file_attachment</a>()</code>,
<code><a href="edit_rfrnds.html">edit_rfrnds</a>()</code>,
<code><a href="rfrnd.html">rfrnd</a>()</code>,
<code><a href="rfrnd_exists.html">rfrnd_exists</a>()</code>,
<code><a href="rfrnds_bkp.html">rfrnds_bkp</a>()</code>,
<code><a href="validate_rfrnds.html">validate_rfrnds</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="co"># get all referendums (excl. drafts)</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds</span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 17,892 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 670cd145c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Zug                    <span style="color: #BB0000;">NA</span>           subn… 2024-06-09 <span style="color: #BB0000;">NA</span>                Cycling… Velonet… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 66fff490c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LI           Liechtenste… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2024-09-22 <span style="color: #BB0000;">NA</span>                Referen… Referen… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 66ffdfe3c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Jura                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Act con… <span style="color: #BB0000;">NA</span>       Acte re…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 66ffdc31c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Energy … Energie… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 66ffd956c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Uri                    <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Partial… Teilrev… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 66ffbf93c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Nidwalden              <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 66f686cfc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Concord… Konkord… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 66f68317c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Bern                   <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Amendme… Änderun… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 66d6da9cc3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Basel Landschaft       <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                Partial… Teilrev… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 66cde603c3cd… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      CH           Switzerland  Graubünden             <span style="color: #BB0000;">NA</span>           subn… 2024-09-22 <span style="color: #BB0000;">NA</span>                New civ… Neubau … <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 17,882 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># get only referendums in Austria and Australia on subnational level</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds</span><span class="op">(</span>country_code <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"AT"</span>, <span class="st">"AU"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>            level <span class="op">=</span> <span class="st">"subnational"</span>,</span></span>
<span class="r-in"><span>            quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 31 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 5bbbfb4f92a2… 12707       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 2001-10-24 <span style="color: #BB0000;">NA</span>                Immedia… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 5bbbf9b192a2… 1219        <span style="color: #BB0000;">NA</span>      AU           Australia    Christmas Island       <span style="color: #BB0000;">NA</span>           subn… 1999-11-06 <span style="color: #BB0000;">NA</span>                Enhance… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 5bbbf92f92a2… 12706       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1999-05-12 <span style="color: #BB0000;">NA</span>                <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>       Constit…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 5bbbf82092a2… 1710        <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1998-08-26 <span style="color: #BB0000;">NA</span>                Title n… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 5bbbf7ff92a2… 12705       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1998-05-14 <span style="color: #BB0000;">NA</span>                Nominat… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 5bbbf70392a2… 12704       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1996-10-17 <span style="color: #BB0000;">NA</span>                Plans f… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 5bbbf59192a2… 12703       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1995-03-15 <span style="color: #BB0000;">NA</span>                Quarant… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 5bbbf4d492a2… 872         <span style="color: #BB0000;">NA</span>      AU           Australia    Christmas Island       <span style="color: #BB0000;">NA</span>           subn… 1994-05-07 <span style="color: #BB0000;">NA</span>                Nationa… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 5bbbf4d492a2… 871         <span style="color: #BB0000;">NA</span>      AU           Australia    Christmas Island       <span style="color: #BB0000;">NA</span>           subn… 1994-05-07 <span style="color: #BB0000;">NA</span>                Nationa… <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 5bbbf29e92a2… 12694       <span style="color: #BB0000;">NA</span>      AU           Australia    Northern Territory     <span style="color: #BB0000;">NA</span>           subn… 1991-01-02 <span style="color: #BB0000;">NA</span>                <span style="color: #BB0000;">NA</span>       <span style="color: #BB0000;">NA</span>       Constit…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 21 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># get referendums in 2020</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds</span><span class="op">(</span>date_min <span class="op">=</span> <span class="st">"2020-01-01"</span>,</span></span>
<span class="r-in"><span>            date_max <span class="op">=</span> <span class="st">"2020-12-31"</span>,</span></span>
<span class="r-in"><span>            quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 103 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 6010898bd129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      VE           Venezuela    <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-12 <span style="color: #BB0000;">NA</span>                Rejecti… Ablehnu… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 60108788d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      VE           Venezuela    <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-12 <span style="color: #BB0000;">NA</span>                Initiat… Einleit… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 60108540d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      VE           Venezuela    <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-12 <span style="color: #BB0000;">NA</span>                Free el… Freie W… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 601022ddd129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Electio… Wahlbes… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 6010202dd129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Electio… Wahlter… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 60101d90d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Reducti… Kürzung… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 60101b85d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Reducti… Kürzung… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 6010195ad129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Reducti… Kürzung… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 60101462d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Reducti… Kürzung… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 60101127d129… <span style="color: #BB0000;">NA</span>          <span style="color: #BB0000;">NA</span>      LR           Liberia      <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2020-12-08 <span style="color: #BB0000;">NA</span>                Reducti… Kürzung… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 93 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># get referendums added to the database during the last 30 days</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds</span><span class="op">(</span>date_time_created_min <span class="op">=</span> <span class="fu">clock</span><span class="fu">::</span><span class="fu"><a href="https://clock.r-lib.org/reference/date-today.html" class="external-link">date_today</a></span><span class="op">(</span>zone <span class="op">=</span> <span class="st">"UTC"</span><span class="op">)</span> <span class="op">|&gt;</span> <span class="fu">clock</span><span class="fu">::</span><span class="fu"><a href="https://clock.r-lib.org/reference/clock-arithmetic.html" class="external-link">add_days</a></span><span class="op">(</span><span class="op">-</span><span class="fl">30L</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>            date_time_created_max <span class="op">=</span> <span class="fu">clock</span><span class="fu">::</span><span class="fu"><a href="https://clock.r-lib.org/reference/date-today.html" class="external-link">date_today</a></span><span class="op">(</span>zone <span class="op">=</span> <span class="st">"UTC"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>            quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> data frame with 0 columns and 0 rows</span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># provide custom `query_filter` for more complex queries like regex matches</span></span></span>
<span class="r-in"><span><span class="co"># cf. https://docs.mongodb.com/manual/reference/operator/query/regex/</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnds</span><span class="op">(</span>query_filter <span class="op">=</span> <span class="st">'{"country_code":{"$regex":"A."}}'</span>,</span></span>
<span class="r-in"><span>            quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 244 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id            id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>         <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> 650034e4481d… <span style="color: #BB0000;">NA</span>          au0120… AU           Australia    <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2023-10-14 <span style="color: #BB0000;">NA</span>                Establi… Stimme … <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> 63bd3905a52c… <span style="color: #BB0000;">NA</span>          as1120… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Renamin… Umbenen… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> 63bd2a63a52c… <span style="color: #BB0000;">NA</span>          as1020… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Renamin… Umbenen… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> 63bd293ba52c… <span style="color: #BB0000;">NA</span>          as0920… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Renamin… Umbenen… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> 63bd268ba52c… <span style="color: #BB0000;">NA</span>          as0820… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Removal… Absetzu… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> 63bd25dea52c… <span style="color: #BB0000;">NA</span>          as0720… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Enlarge… Vergrös… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> 63bd256ba52c… <span style="color: #BB0000;">NA</span>          as0620… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Voting … Stimmre… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> 63bd24d7a52c… <span style="color: #BB0000;">NA</span>          as0520… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Annexat… Anschlu… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> 63bd222ba52c… <span style="color: #BB0000;">NA</span>          as0420… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                Enlarge… Vergrös… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> 63bd2187a52c… <span style="color: #BB0000;">NA</span>          as0320… AS           American Sa… <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 2022-11-08 <span style="color: #BB0000;">NA</span>                No obje… Keine E… <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 234 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 54 more variables: question &lt;chr&gt;, question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_total &lt;int&gt;, electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_yes &lt;int&gt;, lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   position_government &lt;fct&gt;, topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_created &lt;dttm&gt;, date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, …</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

